Bug 1026964 - gobject-introspection: use secure_getenv
gobject-introspection: use secure_getenv
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gobject-introspection (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Colin Walters
Desktop QE
:
Depends On:
Blocks: 1026934
  Show dependency treegraph
 
Reported: 2013-11-05 12:58 EST by Florian Weimer
Modified: 2017-11-01 20:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 755472 None None None Never

  None (edit)
Description Florian Weimer 2013-11-05 12:58:09 EST
As a safety measure against use from SUID/SGID processes, secure_getenv should be used in girepository/girepository.c to obtain the value of the GI_TYPELIB_PATH environment variable (and not g_getenv).
Comment 5 RHEL Product and Program Management 2014-03-28 01:48:17 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.